package ru.yandex.autotests.directapi.model.balancesimple.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * Created by semkagtn on 16.09.15.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class PaymentMethod {

    @JsonProperty("system")
    private String system;

    @JsonProperty("currency")
    private String currency;

    @JsonProperty("number")
    private String number;

    @JsonProperty("region_id")
    private String regionId;

    @JsonProperty("proto")
    private String proto;

    @JsonProperty("type")
    private String type;

    @JsonProperty("id")
    private String id;

    @JsonProperty("name")
    private String name;

    public String getSystem() {
        return system;
    }

    public String getCurrency() {
        return currency;
    }

    public String getNumber() {
        return number;
    }

    public String getRegionId() {
        return regionId;
    }

    public String getProto() {
        return proto;
    }

    public String getType() {
        return type;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return JsonUtils.toStringLow(this);
    }
}
